import request from "../request";
//获取装置总数图表
//郑州左侧树状结构接口
export function getICEdyTreeList(data) {
  return request({
    url: "/xymanager/getdyTreeList",
    method: "post",
    data,
  });
}
//查询附带天气

export function weatherJoggle(data) {
  return request({
    url: "/xymanager/terminal/listWithWeather",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//查询天气列表
export function weatherListJoggle(data) {
  return request({
    url: "/xymanager/weather/list",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//查询附带覆冰拉力

export function LeadPullJoggle(data) {
  return request({
    url: "/xymanager/terminal/listWithLeadPull",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//查询覆冰拉力列表
export function leadpullsListJoggle(data) {
  return request({
    url: "/xymanager/leadpulls/list",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//获取相位码
export function funccodeJoggle(data) {
  return request({
    url: "/xapi/funccode.php",
    method: "get",
    params: data,

    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//导出覆冰数据
export function exportJoggle(data) {
  return request({
    url: "/xymanager/leadpulls/export",
    method: "get",
    params: data,
    responseType: "blob",
  });
}

//查询天气装置列表
export function getWeatherListApi(data) {
  return request({
    url: "/xymanager/henan/getWeatherList",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//查询拉力装置点表
export function getPointListApi(data) {
  return request({
    url: "/xymanager/henan/getPointList",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//新增微气象转发
export function addWeatherApi(data) {
  return request({
    url: "/xymanager/henan/addWeather",
    method: "post",
    data,
  });
}
//新增覆冰转发
export function addIcePointApi(data) {
  return request({
    url: "/xymanager/henan/addPoint",
    method: "post",
    data,
  });
}

//删除微气象转发
export function delWeatherApi(data) {
  return request({
    url: "/xymanager/henan/delWeather",
    method: "post",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//删除覆冰转发
export function delPointApi(data) {
  return request({
    url: "/xymanager/henan/delPoint",
    method: "post",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
